Bug 4995 - citation styles need correcting when journal uses issues with only volume and year
citation styles need correcting when journal uses issues with only volume and...
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: Plug-ins
2.x
PC All
: P5 enhancement
Assigned To: Juan Pablo Alperin
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-05 12:48 PST by Juan Pablo Alperin
Modified: 2013-05-29 16:13 PDT (History)
2 users (show)

See Also:
Version Reported In: 2.3.1
Also Affects:


Attachments
Patch against OJS 2.3.2 CVS (19.80 KB, patch)
2010-01-06 09:03 PST, Juan Pablo Alperin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Pablo Alperin 2010-01-05 12:48:19 PST
There are journals that do not use the concept of an issue number (anual journals).  The citation styles tend to put a 0 in the place where the number would go.  However, these should probably be ignored instead.

I believe the "email to a colleague" does the same. Others tools should also be reviewed.
Comment 1 Juan Pablo Alperin 2010-01-06 09:03:20 PST
Created attachment 2821 [details]
Patch against OJS 2.3.2 CVS

Patch for review
Comment 2 Alec Smecher 2013-05-29 16:13:08 PDT
Zombie entry -- casting to numbers was fixed elsewhere.